## python-geohash 0.8.3

=== src/Makefile ===
CC	= gcc
CXX	= g++
CFLAGS	= -O3
CXXFLAGS	=
TARGET	= sample
OBJS	= geohash_sample.o geohash.o

all:	$(TARGET)
$(TARGET):	$(OBJS)
	$(CXX) -o $@ $(OBJS)
clean:
	-rm -f $(TARGET) $(OBJS)
.c.o:
	$(CC) $(CFLAGS) -c $<
.cpp.o:
	$(CXX) $(CXXFLAGS) -c $<

=== debian/changelog ===
python-geohash (0.8.3-1) unstable; urgency=low

  * New upstream release:
    - drop uncomment-tests-main.patch, applied upstream
    - run more tests at build time
  * Convert debian/copyright to DEP-5 format.
  * Add debian/upstream-metadata.yaml.
  * Make sure the example Python scripts are not compressed.

 -- Davide Cavalca <davide@geexbox.org>  Mon, 04 Apr 2011 17:02:28 +0200

python-geohash (0.7-1) unstable; urgency=low

  * Initial release (Closes: #603285)

 -- Davide Cavalca <davide@geexbox.org>  Mon, 07 Feb 2011 15:23:59 +0100

=== debian/control ===
Source: python-geohash
Section: python
Priority: optional
Maintainer: Davide Cavalca <davide@geexbox.org>
Build-Depends: debhelper (>= 7.3.5~), python-support (>= 0.90), python-all-dev (>= 2.4), python-all-dbg (>= 2.4)
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/python-geohash/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-geohash/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-geohash/trunk

Package: python-geohash
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: fast, accurate Python geohashing library
 python-geohash provides fast and accurate geohash encoding and decoding 
 functionality. Geohash is a latitude/longitude geocode system (a string 
 representation of two dimensional geometric coordinates). In addition to 
 geohash, this module also supports the quadtree, jpgrid (JIS X 0410) and
 jpiarea grid codes.

Package: python-geohash-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-geohash (= ${binary:Version})
Recommends: python-dbg
Description: fast, accurate Python geohashing library (debug extension)
 python-geohash provides fast and accurate geohash encoding and decoding
 functionality. Geohash is a latitude/longitude geocode system (a string
 representation of two dimensional geometric coordinates). In addition to
 geohash, this module also supports the quadtree, jpgrid (JIS X 0410) and
 jpiarea grid codes.
 .
 This package contains the debugging symbols for python-geohash.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# necessary for override_dh_auto_test
PYVERS = $(shell pyversions -r -v)
pythonpath = $$(ls -d $(CURDIR)/build/lib.*-$(1))
pythonpath_dbg = $$(ls -d $(CURDIR)/build/lib_d.*-$(1) 2>/dev/null || ls -d $(CURDIR)/build/lib.*$(1)-pydebug)

%:
	dh  $@

# Workaround for #589759
override_dh_auto_build:
	dh_auto_build -- --force

override_dh_install:
	dh_install -X"*_d.so" "debian/tmp/*" -p python-geohash
	dh_install "debian/tmp/usr/lib/python*/*-packages/*_d.so" -p python-geohash-dbg
	dh_install

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip --dbg-package=python-geohash-dbg
	# Workaround for #576014
	cd debian/python-geohash-dbg/usr/lib/debug/usr/lib && mv pyshared pymodules
endif

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -e ;\
	for py in $(PYVERS); do \
		for test in test/test_*.py; do \
			PYTHONPATH=$(call pythonpath,$$py) \
				python$$py $$test ;\
			PYTHONPATH=$(call pythonpath_dbg,$$py) \
				python$$py-dbg $$test ;\
		done \
	done
endif

# Workaround for #593382
override_dh_compress:
	dh_compress -Xexamples
